# PXMLRPCArrayObjectsBase Class Reference

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPCArrayObjectsBase:

List of all members.

## Public Member Functions

virtual PString | ToString (PINDEX i) const
virtual void | FromString (PINDEX i, const PString &str)
virtual PBoolean | SetSize (PINDEX)
virtual PObject * | CreateObject () const =0

## Protected Member Functions

| PXMLRPCArrayObjectsBase (PArrayObjects &array, const char *name, const char *type)
PXMLRPCArrayObjectsBase & | operator= (const PXMLRPCArrayObjectsBase &)

## Protected Attributes

PArrayObjects & | array

## Constructor & Destructor Documentation

PXMLRPCArrayObjectsBase::PXMLRPCArrayObjectsBase | ( | PArrayObjects & | array,
|  | const char * | name,
|  | const char * | type |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual PObject* PXMLRPCArrayObjectsBase::CreateObject | ( |  | ) | const`[pure virtual]`

virtual void PXMLRPCArrayObjectsBase::FromString | ( | PINDEX | i,
|  | const PString & | str |
| ) |  |  | `[virtual]`

Reimplemented from PXMLRPCVariableBase.

PXMLRPCArrayObjectsBase& PXMLRPCArrayObjectsBase::operator= | ( | const PXMLRPCArrayObjectsBase & |  | ) | `[protected]`

virtual PBoolean PXMLRPCArrayObjectsBase::SetSize | ( | PINDEX |  | ) | `[virtual]`

Reimplemented from PXMLRPCArrayBase.

virtual PString PXMLRPCArrayObjectsBase::ToString | ( | PINDEX | i | ) | const`[virtual]`

Reimplemented from PXMLRPCVariableBase.

## Member Data Documentation

PArrayObjects& PXMLRPCArrayObjectsBase::array `[protected]`

Reimplemented from PXMLRPCArrayBase.

The documentation for this class was generated from the following file:

- pxmlrpc.h